import * as React from "react";
import { VariantProps } from "class-variance-authority";
//#region src/Input.d.ts
declare const inputVariants: (props?: ({
  size?: "sm" | "md" | "lg" | null | undefined;
  invalid?: boolean | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'size'>, VariantProps<typeof inputVariants> {}
declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
//#endregion
export { Input, InputProps };